> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corgea.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload CI/CD Data

> Upload CI/CD pipeline metadata and context information for a specific scan run.



## OpenAPI

````yaml /api-reference/openapi.json post /ci-data-upload
openapi: 3.0.0
info:
  title: Corgea API
  version: 1.0.0
  description: >-
    API for interacting with Corgea's scanning and vulnerability management
    features
servers:
  - url: https://www.corgea.app/api/v1
    description: Production server
security:
  - CorgeaToken: []
  - BearerAuth: []
paths:
  /ci-data-upload:
    post:
      tags:
        - Uploading 3rd Party Scan
      summary: Upload CI/CD Data
      description: >-
        Upload CI/CD pipeline metadata and context information for a specific
        scan run.
      operationId: ciDataUpload
      parameters:
        - name: run_id
          in: query
          required: true
          schema:
            type: string
          description: The scan run ID associated with this CI data
        - name: platform
          in: query
          required: true
          schema:
            type: string
          description: The CI/CD platform name (e.g., jenkins, github-actions, gitlab-ci)
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              description: CI/CD pipeline metadata and context information
              additionalProperties: true
      responses:
        '200':
          description: CI data uploaded successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - ok
                    example: ok
                required:
                  - status
        '400':
          description: Bad request - JSON parsing error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
                  message:
                    type: string
                    example: Invalid JSON format
        '404':
          description: Scan not found for the provided run_id
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: unable to find scan associated to this run id
components:
  securitySchemes:
    CorgeaToken:
      type: apiKey
      in: header
      name: CORGEA-TOKEN
      description: API key for authentication
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: OAuth2 access token (JWT) in the Authorization header

````